package cn.superdesk.uniorder.dao.mapper.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterOrderGoods;

import java.util.List;

import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderGoodsVO;

public interface OperationCenterOrderGoodsMapper {


    int deleteByPrimaryKey(Long id);

    int insert(OperationCenterOrderGoods record);

    int insertSelective(OperationCenterOrderGoods record);



    OperationCenterOrderGoods selectByPrimaryKey(Long id);


    int updateByPrimaryKeySelective(OperationCenterOrderGoods record);


    int updateByPrimaryKey(OperationCenterOrderGoods record);

    List<OperationCenterOrderGoodsVO> getOrderGoodsListByOrderSn(String platformCode,String orderSn);
}